Financials
US Ledger
Call GET /us/fundamentals/ledger on the Corpus API.
GET /us/fundamentals/ledger
Call GET /us/fundamentals/ledger on the Corpus API.
Category: US · Financial Statements
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| ticker | query | no | string | null | — | — |
| cik | query | no | string | null | — | — |
| concept | query | no | string | null | — | — |
| statement | query | no | string | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 1000; min 1; max 50000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/fundamentals/ledger?ticker=AAPL&limit=1000' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | FundamentalLedgerResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"facts": [
{
"report_period": "2025-12-31",
"statement": "string",
"knowledge_time": "2025-12-31T23:59:59Z",
"concept": "string",
"value": "string",
"fiscal_year": 1,
"currency": "USD",
"filed": "2025-12-31",
"accession_number": "0000320193-25-000079",
"filing_type": "10-K",
"source_id": "string"
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}